Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.pattern
Class AnyChildNodePattern

    java.lang.Object
      |
      +--com.icl.saxon.pattern.Pattern
            |
            +--com.icl.saxon.pattern.NodeTest
                  |
                  +--com.icl.saxon.pattern.AnyChildNodePattern

public final class AnyChildNodePattern
extends NodeTest

An AnyChildNodePattern is the pattern node(), which matches any node except a root node, an attribute node, or a namespace node: in other words, any node that is the child of another node.

Fields inherited from class com.icl.saxon.pattern.Pattern
`originalText, staticContext`

Constructor Summary
`AnyChildNodePattern()`

Method Summary
`double` | `getDefaultPriority()` Determine the default priority to use if this pattern appears as a match pattern for a template with no explicit priority attribute.
`short` | `getNodeType()` Determine the type of nodes to which this pattern applies.
`boolean` | `matches(NodeInfo node)` Determine whether the pattern matches a given node.
`boolean` | `matches(short nodeType, int fingerprint)` Test whether this node test is satisfied by a given node

Methods inherited from class com.icl.saxon.pattern.NodeTest
`matches`

Methods inherited from class com.icl.saxon.pattern.Pattern
`getFingerprint, getLineNumber, getStaticContext, getSystemId, make, setOriginalText, setStaticContext, simplify, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnyChildNodePattern

    public AnyChildNodePattern()

Method Detail

### matches

    public boolean matches(NodeInfo node)

  Determine whether the pattern matches a given node.
  Overrides:
    `matches` in class `NodeTest`
  Parameters:
    `node` - the node to be tested
  Returns:
    true if the pattern matches, else false

### matches

    public boolean matches(short nodeType,
                           int fingerprint)

  Test whether this node test is satisfied by a given node
  Overrides:
    `matches` in class `NodeTest`
  Parameters:
    `nodeType` - The type of node to be matched
    `fingerprint` - identifies the expanded name of the node to be matched

### getNodeType

    public short getNodeType()

  Determine the type of nodes to which this pattern applies.
  Overrides:
    `getNodeType` in class `Pattern`
  Returns:
    the node type

### getDefaultPriority

    public double getDefaultPriority()

  Determine the default priority to use if this pattern appears as a match pattern for a template with no explicit priority attribute.
  Overrides:
    `getDefaultPriority` in class `Pattern`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD